/* Discrete code
 */
#include <htc.h>
 
void discrete_init(void) {
// initialize discrete registers
	TRISB0 = 1;	// B0 & B1 as inputs (switches)
	TRISB1 = 1;
	TRISB2 = 0;	// B2 & B3 as outputs (lights)
	TRISB3 = 0;
	TRISB4 = 0;	// b4 as outout (sprocket motor)
}

void blink (unsigned char chnl) {
	unsigned char	i;
	if ( chnl == 0 ) {
	RB2 = 0;         //produce 0V on RB2
	i = 100;
	while (i>0) i--;
	RB2 = 1; }
	if ( chnl == 1 ) {
	RB3 = 0;         //produce 0V on RB3
	i = 100;
	while (i>0) i--;
	RB3 = 1; }
}

void toggle (unsigned char chnl) {
	unsigned char	i;
	if ( chnl == 0 ) {
	RB2 = 0;         //produce 0V on RB2
	RB2 = 1; }
	if ( chnl == 1 ) {
	RB3 = 0;         //produce 0V on RB3
	RB3 = 1; }
}
	
unsigned char swrd (unsigned char chnl) {
	unsigned char	i;
	if ( chnl == 0 ) i = RB0;
	if ( chnl == 1 ) i = RB1;
	return (i);
}
