/* ADC code
 */
#include <htc.h>
 
void adc_init(void) {
// initialize adc registers
	TRISA0 = 1;	// A0 & A1 as inputs
	TRISA1 = 1;
	ADCON1 = 0x04;	// left justify result - analog inputs on a0,a1,a3
			// digital on ra2 & ra5
	ADCON0 = 0xC1;	// use r/c clock, ch 0, turn on adc
}
void adc_cvt(unsigned char chnl) {
unsigned char ch;
	ch = (chnl & 0x3) << 3;
	ADCON0 = (ch|0xC1);	// select channel
	ADCON0 = (ch|0xC5);	// start convert
}

unsigned char adc_val(void) {
	while ( ADCON0 & 0x4 ) {
		};
	return (ADRESH);
}
